跳至內容

Kling 4.0 Text to Video

整合

模型 id kling/v4/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $1.175 1,175 API 點數 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Kling 文字轉影片 3–30 秒最高 1080p #text-to-video#multi-shot#cinematic#kling

純文字影片生成,可選擇每個鏡頭的提示詞,生成 3 到 30 秒、720p 或 1080p 的片段

Kling · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

88 / 2500

生成用的文字指示;請提供 `prompt` 或 `multi_prompt`。

resolution 預設 1080p

輸出的解析度。

aspect_ratio 預設 16:9

生成影片的長寬比。

預設 5

影片長度,以秒為單位,介於 3 到 30 之間。

進階 multi_prompt

逐鏡頭生成指示,每個提示詞定義一個鏡頭,其時長會計入影片總長度。

POST /run/kling/v4/text-to-video?wait=20 報價 → $1.175
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kling 4.0 Text to Video

根據最多 2500 個字元的文字提示詞建立影片,不接受圖片或影片輸入。或者,`multi_prompt` 可為多鏡頭片段的每個鏡頭提供一個提示詞,總長度為各鏡頭時長的總和。`duration` 範圍為 3 到 30 秒,預設為 5。解析度可為 720p 或 1080p,`aspect_ratio` 可為 16:9、9:16、1:1 或 21:9。

參數

名稱類型 預設值允許值 說明
prompt選填
類型string | null
≤ 2,500 個字元
生成用的文字指示;請提供 `prompt` 或 `multi_prompt`。
multi_prompt選填
類型object[]
逐鏡頭生成指示,每個提示詞定義一個鏡頭,其時長會計入影片總長度。
multi_prompt[].prompt必填
類型string
1 – 512 characters
目前鏡頭的文字指示。
multi_prompt[].duration選填
類型integer
預設值5
1 – 30
個別鏡頭的時長,以秒為單位。
duration選填
類型integer
預設值5
3 – 30
影片長度,以秒為單位,介於 3 到 30 之間。
resolution選填
類型enum
預設值1080p
720p1080p
輸出的解析度。
aspect_ratio選填
類型enum
預設值16:9
16:99:161:121:9
生成影片的長寬比。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling/v4/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1175,
    "usd": "1.175",
    "charged": 1175,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。

更多模型:文字轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling/v4/text-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt